Program Schema1b;

Type
  MySubRange ( upper: Char ) = 'A' .. upper;

Var
  O: MySubRange ( 'O' );
  K: 'A'..'K';

begin
  (*$W-*)
  O:= 'Onkel';
  K:= 'Katze';
  (*$W+*)
  if ( SizeOf ( O ) = 2 ) and ( SizeOf ( K ) = 1 ) then
    writeln ( O, K )
  else
    writeln ( 'failed' );
end.
